<?php

# check if session is valid
$newTarget = '/app/berogui/index.php?m=Lte';
require_once('/usr/local/www/berogui/includes/session.php');
unset($newTarget);

// LTE-Einträge speichern
chdir('../..');

include "./includes/variables.php";
require_once "./includes/Helper/Helper.php";
include "./misc/database.php";
require_once "./includes/isgwtelnet.php";
$ba = new beroAri();

function parameters($config = "") {
	foreach ($_POST as $key => $value) {
		$_POST[$key] = str_replace("'", "\"", $_POST[$key]);
	}


	//Additional config string hinzufügen.
	if ($_POST['addit_options'] != "")
		$config .= "," . str_replace(array("\r\n", "\n", "\r"), ",", $_POST['addit_options']);

	return $config;
}

if (strtolower($_POST['group']) == "general") {
	echo "<script>alert('Invalid Group Name');  window.history.back();</script>";
	return;
}
$query_comp = $ba->select("SELECT gr FROM lte");
while ($entry = $ba->fetch_array($query_comp)) {
	if ($_POST['gr_upd'] != $entry['gr']) {
		if ($_POST['group'] == $entry['gr']) {
			echo "<script>alert('Invalid Group Name');  window.history.back();</script>";
			return;
		}
	}
}
if ($_POST['gr_upd'] != "") {
	$query_new = $ba->update('UPDATE lte SET gr=\'NULL\', config=\'\' WHERE gr=\'' . sqlite_escape_string($_POST['gr_upd']) . '\'');
}
$gr = $_POST['group'];
$sms_extension = $_POST['sms_extension'];
$extension = $_POST['extension'];
$ports = $_POST['ports'];
$chansel = $_POST['chansel'];
$chansel_dir = $_POST['chansel_dir'];

$port = "";
$config = parameters();

for ($i = 0; $i < count($ports); $i++) {
	$port = $ports[$i];
	$query_new = $ba->update('UPDATE lte SET gr=\'' . sqlite_escape_string($gr) . '\', config=\'' . sqlite_escape_string($config) . '\', sms_extension=\'' 
		. sqlite_escape_string($sms_extension) . '\', extension=\'' . sqlite_escape_string($extension) . '\', chansel=\'' 
		. sqlite_escape_string($chansel) . '\', chansel_dir=\'' . sqlite_escape_string($chansel_dir) . '\' WHERE port=\'' . sqlite_escape_string($port) . '\'');
}

if (!$ba->is_error() && $_POST['gr_upd'] != "") {
	$query = $ba->update('UPDATE dialplan SET fromId=\'g:' . sqlite_escape_string($gr) . '\' where fromDirection=\'lte\' and fromId=\'g:' . sqlite_escape_string($_POST['gr_upd']) . '\'');
	$query = $ba->update('UPDATE dialplan SET toId=\'g:' . sqlite_escape_string($gr) . '\' where toDirection=\'lte\' and toId=\'g:' . sqlite_escape_string($_POST['gr_upd']) . '\'');
}

Helper::activate(2);
if (!$ba->is_error()) {
	echo "<script>window.location='../../index.php?m=Lte'</script>";
} else {
	echo "<script>alert(" . $ba->error() . ");</script>";
}
?>
